Subject: Re: 30.2; Outdated Python conditional in .gdbinit

From: Paul Eggert <[email-masked]>
Date: Fri, 29 Aug 2025 16:42:34 -0700

On 2025-08-29 15:22, Jeremy Bryant wrote:
> Whilst older Emacs versions may be used by users for a long time 'in the
> wild', it seems unlikely that a developer would use such an old GDB.

Unlikely but it happens. When I test on Solaris 10 sparc (admittedly an 
old platform, but still supported by Oracle), I use the GDB it supplies, 
which is GDB 6.2.1 (2004).

> It would simplify this part of .gdbinit if we could remove this whole if
> statement

It's just a single "if" line, plus indenting some following lines. How 
much simplification would it really be if we removed one line and 
unindented the rest?